/* eslint-disable import/prefer-default-export */
import HTTPREQUEST from "./http"
import Taro from "@tarojs/taro";

//登录
export const login = (res) => {
  return new Promise(async (resolve,reject)=>{
    Taro.showLoading({
      title:'登录中...',
    })
    try{
      let msg = await HTTPREQUEST.post('/managesignin', {
        mobile:res.username,
        password:res.password,
        remeber: false
      });
      if(msg.error.length === 0){
        Taro.setStorageSync('token', msg.token);
        Taro.setStorageSync('userInfor', msg.data);
        Taro.showToast({title:'登录成功',icon:'success'})
        resolve();
      }else{
        Taro.showToast({title:msg.error[0].message,icon:'none'})
        reject();
      }
    }catch (err) {
      Taro.showToast({title:'系统错误,请稍后重试',icon:'none'});
      reject();
      console.log(err,'login')
    }
    Taro.hideLoading();
  })
}

//测试
export const test = (postData = {}) => {
  return HTTPREQUEST.get('/open/getVCode', postData)
}
